> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Agent Card

> Fetch agent card JSON from a source URL.



## OpenAPI

````yaml /openapi.json post /api/svc/v1/agents/proxy/agent-card
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/agents/proxy/agent-card:
    post:
      tags:
        - Agent
      summary: Fetch Agent Card
      description: Fetch agent card JSON from a source URL.
      operationId: Agent.fetchAgentCardProxy
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchAgentCardDto'
      responses:
        '200':
          description: Agent card fetched successfully
        '400':
          description: sourceURL is missing or empty in the request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '500':
          description: |-
            Failed to reach the remote `sourceURL`. Possible causes:
            - Network error or timeout
            - Upstream server returned an error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
components:
  schemas:
    FetchAgentCardDto:
      type: object
      properties:
        sourceURL:
          type: string
          description: URL to fetch agent card JSON from
          example: https://example.com/.well-known/agent-card.json
      required:
        - sourceURL
      title: FetchAgentCardDto
      x-fern-type-name: FetchAgentCardDto
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````